commit 3c87504035c3079fc4a733cc112d80652e47a0f6
parent 8be0afc7b3c48eb5bd8f975c94b360fcffd7d4d5
Author: Anders Damsgaard <anders@adamsgaard.dk>
Date: Thu, 25 Jul 2019 18:20:45 +0200
Script improvements
Diffstat:
2 files changed, 3 insertions(+), 8 deletions(-)
diff --git a/.local/bin/burn-audio-cd.sh b/.local/bin/burn-audio-cd.sh
@@ -1,9 +1,9 @@
-#!/usr/bin/env bash
+#!/bin/sh
set -e
# https://wiki.archlinux.org/index.php/Optical_disc_drive#Burning_an_audio_CD
-function help {
+help() {
echo "$0 FILES"
echo "converts FILES to wav and burns as an audio cd"
echo "requires lame, mpg123, faad2, and cdrtools"
@@ -42,11 +42,6 @@ for f in "$@"; do
done
# burn wav as audio cd (remove -dummy to really burn)
-#cdrecord -dummy -v -pad speed=1 dev="$drive" -dao -swab *.wav
-#cdrecord -v -pad speed=1 dev="$drive" -dao -swab *.wav
cdrecord -v -pad speed=1 -dao -swab ./*.wav
-#cdrecord -overburn -v -pad speed=1 dev="$drive" -dao -swab *.wav
-# clean up and eject
rm ./*.wav
-exit 0
diff --git a/.local/bin/check-broken-links.sh b/.local/bin/check-broken-links.sh
@@ -1,3 +1,3 @@
#!/bin/sh
-# where $1 is a webpage, e.g. https://adamsgaard.dk
+[ $# -lt 1 ] && echo "usage: $0 URL" && exit 1
wget --spider -e robots=off --wait 1 -r -p $1